> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 検索

この search エンドポイントは、Web 検索と Firecrawl のスクレイピング機能を組み合わせることで、あらゆるクエリに対してページ全体のコンテンツを返します。

各検索結果の Markdown 形式の完全なコンテンツを取得するには、`scrapeOptions` に `formats: [{"type": "markdown"}]` を指定してください。指定しない場合は、結果（url、title、description）がデフォルトで返されます。要約されたコンテンツが必要な場合は、`{"type": "summary"}` など他のフォーマットも使用できます。

<div id="supported-query-operators">
  ## サポートされているクエリ演算子
</div>

検索をより的確に絞り込むための各種クエリ演算子をサポートしています。

| 演算子           | 機能                        | 例                                 |
| ------------- | ------------------------- | --------------------------------- |
| `""`          | テキストを厳密一致で検索する            | `"Firecrawl"`                     |
| `-`           | 特定のキーワードを除外、または他の演算子を否定する | `-bad`, `-site:firecrawl.dev`     |
| `site:`       | 指定したサイトの結果のみを返す           | `site:firecrawl.dev`              |
| `filetype:`   | 特定のファイル拡張子を持つ結果のみを返す      | `filetype:pdf`, `-filetype:pdf`   |
| `inurl:`      | URL に特定の語を含む結果のみを返す       | `inurl:firecrawl`                 |
| `allinurl:`   | URL に複数の語を含む結果のみを返す       | `allinurl:git firecrawl`          |
| `intitle:`    | ページタイトルに特定の語を含む結果のみを返す    | `intitle:Firecrawl`               |
| `allintitle:` | ページタイトルに複数の語を含む結果のみを返す    | `allintitle:firecrawl playground` |
| `related:`    | 特定のドメインに関連する結果のみを返す       | `related:firecrawl.dev`           |
| `imagesize:`  | 指定した寸法と完全一致の画像のみを返す       | `imagesize:1920x1080`             |
| `larger:`     | 指定した寸法より大きい画像のみを返す        | `larger:1920x1080`                |

<div id="location-parameter">
  ## Location パラメータ
</div>

`location` パラメータで地域ターゲットの検索結果を取得します。形式: `"string"`。例: `"Germany"`、`"San Francisco,California,United States"`。

利用可能な国と言語の一覧は、[サポート対象ロケーションの全リスト](https://firecrawl.dev/search_locations.json)をご覧ください。

<div id="country-parameter">
  ## Country パラメータ
</div>

`country` パラメータで、ISO の国コードを用いて検索結果の対象国を指定します。既定値: `"US"`。

例: `"US"`, `"DE"`, `"FR"`, `"JP"`, `"UK"`, `"CA"`。

```json theme={null}
{
  "query": "レストラン",
  "country": "DE"
}
```

<div id="categories-parameter">
  ## Categories パラメータ
</div>

`categories` パラメータで、特定のカテゴリに検索結果を絞り込みます：

* **`github`**: GitHub のリポジトリ、コード、Issue、ドキュメントを検索
* **`research`**: 学術系・研究系のウェブサイト（arXiv、Nature、IEEE、PubMed など）を検索
* **`pdf`**: PDF を検索

<div id="example-usage">
  ### 使い方の例
</div>

```json theme={null}
{
  "query": "機械学習",
  "categories": ["github", "research"],
  "limit": 10
}
```

<div id="domain-filters">
  ## ドメインフィルター
</div>

`includeDomains` を使うと結果を特定のドメインに限定でき、`excludeDomains` を使うと検索結果から特定のドメインを除外できます。ドメインには、プロトコルやパスを含めず、ホスト名のみを指定してください。

`includeDomains` と `excludeDomains` は同時に使用できません。

<div id="include-domains-example">
  ### 含めるドメインの例
</div>

```json theme={null}
{
  "query": "web scraping",
  "includeDomains": ["firecrawl.dev", "docs.firecrawl.dev"],
  "limit": 10
}
```

<div id="exclude-domains-example">
  ### 除外ドメインの例
</div>

```json theme={null}
{
  "query": "web scraping tools",
  "excludeDomains": ["example.com"],
  "limit": 10
}
```

<div id="category-response">
  ### カテゴリレスポンス
</div>

各結果には、どのソースからのものかを示す `category` フィールドが含まれます。

```json theme={null}
{
  "success": true,
  "data": {
    "web": [
      {
        "url": "https://github.com/example/ml-project",
        "title": "Machine Learning Project",
        "description": "Implementation of ML algorithms",
        "category": "github"
      },
      {
        "url": "https://arxiv.org/abs/2024.12345",
        "title": "ML Research Paper",
        "description": "Latest advances in machine learning",
        "category": "research"
      }
    ]
  }
}
```

<div id="time-based-search">
  ## 時間ベースの検索
</div>

`tbs` パラメータを使用すると、カスタム日付範囲を含む期間で検索結果を時間別に絞り込むことができます。詳細な例とサポートされている形式については、[検索機能のドキュメント](https://docs.firecrawl.dev/features/search#time-based-search)を参照してください。

> Firecrawl API key が必要な AI agent ですか？自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json POST /search
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /search:
    post:
      tags:
        - Search
      summary: 検索し、必要に応じて検索結果をスクレイピングする
      operationId: searchAndScrape
      requestBody:
        content:
          application/json:
            schema:
              properties:
                categories:
                  description: >-
                    結果をカテゴリでフィルタリングするための指定。デフォルト値は []
                    で、この場合はカテゴリによるフィルタリングは行われません。
                  items:
                    oneOf:
                      - properties:
                          type:
                            enum:
                              - github
                            type: string
                        required:
                          - type
                        title: GitHub
                        type: object
                      - properties:
                          type:
                            enum:
                              - research
                            type: string
                        required:
                          - type
                        title: Research
                        type: object
                      - properties:
                          type:
                            enum:
                              - pdf
                            type: string
                        required:
                          - type
                        title: PDF
                        type: object
                  type: array
                country:
                  default: US
                  description: >-
                    検索結果のジオターゲティングに使用する ISO 国コード（例：`US`）。最適な結果を得るには、これと
                    `location` パラメータの両方を設定してください。
                  type: string
                enterprise:
                  description: >-
                    Zero Data Retention（ZDR）向けのエンタープライズ search options。エンドツーエンドの
                    ZDR には `["zdr"]`（10 credits / 10件の結果）、匿名化された ZDR には
                    `["anon"]`（2 credits /
                    10件の結果）を使用します。利用するには、チームで有効になっている必要があります。
                  items:
                    enum:
                      - anon
                      - zdr
                    type: string
                  type: array
                excludeDomains:
                  description: >-
                    指定したドメインからの検索結果を除外します。ドメインには、プロトコルやパスを含まないホスト名のみを指定してください。includeDomains
                    とは併用できません。
                  items:
                    format: hostname
                    type: string
                  type: array
                ignoreInvalidURLs:
                  default: false
                  description: >-
                    他の Firecrawl エンドポイントでは無効となる URL
                    を検索結果から除外します。これにより、検索から取得したデータを他の Firecrawl API
                    エンドポイントに渡す際のエラーを減らせます。
                  type: boolean
                includeDomains:
                  description: >-
                    検索結果を指定したドメインに限定します。ドメインには、プロトコルやパスを含まないホスト名のみを指定してください。excludeDomains
                    とは併用できません。
                  items:
                    format: hostname
                    type: string
                  type: array
                limit:
                  default: 10
                  description: 返す結果の最大件数（複数のソースを使用する場合は、ソースの種類ごと）
                  maximum: 100
                  minimum: 1
                  type: integer
                location:
                  description: >-
                    検索結果のロケーションを指定するパラメータ（例: `San Francisco,California,United
                    States`）。最適な結果を得るには、このパラメータと `country` パラメータの両方を設定してください。
                  type: string
                query:
                  description: 検索クエリ
                  maxLength: 500
                  type: string
                scrapeOptions:
                  allOf:
                    - $ref: '#/components/schemas/ScrapeOptions'
                  default: {}
                  description: 検索結果をスクレイピングする際のオプション
                sources:
                  default:
                    - web
                  description: 検索対象とするソース。レスポンスに含まれる配列の種類を決定します。デフォルトは ['web'] です。
                  items:
                    oneOf:
                      - properties:
                          location:
                            description: 検索結果用の Location パラメータ
                            type: string
                          tbs:
                            description: >-
                              時間ベースの検索パラメータで、あらかじめ定義された期間（`qdr:h`, `qdr:d`,
                              `qdr:w`, `qdr:m`,
                              `qdr:y`）、カスタム日付範囲（`cdr:1,cd_min:MM/DD/YYYY,cd_max:MM/DD/YYYY`）、日付順でのソート（`sbd:1`）をサポートします。値は組み合わせて指定できます（例:
                              `sbd:1,qdr:w`）。
                            type: string
                          type:
                            enum:
                              - web
                            type: string
                        required:
                          - type
                        title: Web
                        type: object
                      - properties:
                          type:
                            enum:
                              - images
                            type: string
                        required:
                          - type
                        title: Images
                        type: object
                      - properties:
                          type:
                            enum:
                              - news
                            type: string
                        required:
                          - type
                        title: News
                        type: object
                  type: array
                tbs:
                  description: >-
                    時間ベースの検索パラメータで、あらかじめ定義された期間（`qdr:h`, `qdr:d`, `qdr:w`,
                    `qdr:m`,
                    `qdr:y`）、カスタム日付範囲（`cdr:1,cd_min:MM/DD/YYYY,cd_max:MM/DD/YYYY`）、日付順でのソート（`sbd:1`）をサポートします。値は組み合わせて指定できます（例:
                    `sbd:1,qdr:w`）。
                  type: string
                threatProtection:
                  $ref: '#/components/schemas/ThreatProtectionOverride'
                timeout:
                  default: 60000
                  description: タイムアウト時間（ミリ秒）
                  type: integer
              required:
                - query
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  creditsUsed:
                    description: 検索で使用されたクレジット数
                    type: integer
                  data:
                    description: >-
                      検索結果。利用可能な配列は、リクエストで指定したソースに応じて変わります。デフォルトでは `web`
                      配列が返されます。
                    properties:
                      images:
                        items:
                          properties:
                            imageHeight:
                              description: 画像の高さ
                              type: integer
                            imageUrl:
                              description: 画像URL
                              type: string
                            imageWidth:
                              description: 画像の幅
                              type: integer
                            position:
                              description: 検索結果の位置
                              type: integer
                            title:
                              description: 検索結果のタイトル
                              type: string
                            url:
                              description: 検索結果のURL
                              type: string
                          type: object
                        type: array
                      news:
                        items:
                          properties:
                            audio:
                              description: >-
                                `formats` に `audio` が含まれている場合の、抽出された MP3
                                音声ファイルへの署名付き URL です。署名付き URL は 1 時間で期限切れになります。
                              nullable: true
                              type: string
                            date:
                              description: 記事の公開日
                              type: string
                            html:
                              description: フォーマットとしてリクエストされた場合のHTMLコンテンツ
                              nullable: true
                              type: string
                            imageUrl:
                              description: 記事画像のURL
                              type: string
                            links:
                              description: フォーマットでのリクエスト時に検出されたリンク
                              items:
                                type: string
                              type: array
                            markdown:
                              description: スクレイピングをリクエストした場合の Markdown コンテンツ
                              nullable: true
                              type: string
                            metadata:
                              properties:
                                description:
                                  type: string
                                error:
                                  nullable: true
                                  type: string
                                numPages:
                                  description: >-
                                    PDF入力の場合、解析されたページ数（パーサーの maxPages
                                    オプションで上限が設定されます）。
                                  type: integer
                                sourceURL:
                                  description: >-
                                    リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL
                                    と異なることがあります。
                                  type: string
                                statusCode:
                                  type: integer
                                title:
                                  type: string
                                totalPages:
                                  description: >-
                                    PDF入力の場合、maxPages
                                    の上限が適用される前の実際の総ページ数。判別できない場合は省略されます。totalPages
                                    が numPages を上回る場合、結果は途中で切り詰められています。
                                  type: integer
                                url:
                                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                                  type: string
                              type: object
                            position:
                              description: 記事の位置
                              type: integer
                            rawHtml:
                              description: フォーマットで指定された場合の生の HTML コンテンツ
                              nullable: true
                              type: string
                            screenshot:
                              description: >-
                                フォーマットでスクリーンショットが要求された場合のスクリーンショットURL。スクリーンショットは24時間後に有効期限が切れ、それ以降はダウンロードできません。
                              nullable: true
                              type: string
                            snippet:
                              description: 記事からの抜粋
                              type: string
                            title:
                              description: 記事タイトル
                              type: string
                            url:
                              description: 記事のURL
                              type: string
                            video:
                              description: >-
                                `formats` に `video`
                                が含まれている場合に返される、抽出された動画ファイルの署名付きURLです。署名付きURLの有効期限は1時間です。
                              nullable: true
                              type: string
                          type: object
                        type: array
                      web:
                        items:
                          properties:
                            audio:
                              description: >-
                                `formats` に `audio` が含まれている場合の、抽出された MP3
                                音声ファイルへの署名付き URL です。署名付き URL は 1 時間で期限切れになります。
                              nullable: true
                              type: string
                            description:
                              description: 検索結果の説明文
                              type: string
                            html:
                              description: フォーマットで指定された場合の HTML コンテンツ
                              nullable: true
                              type: string
                            links:
                              description: フォーマットで links を指定した場合に取得されるリンク
                              items:
                                type: string
                              type: array
                            markdown:
                              description: スクレイピングをリクエストした場合の Markdown コンテンツ
                              nullable: true
                              type: string
                            metadata:
                              properties:
                                description:
                                  type: string
                                error:
                                  nullable: true
                                  type: string
                                numPages:
                                  description: >-
                                    PDF入力の場合、解析されたページ数（パーサーの maxPages
                                    オプションで上限が設定されます）。
                                  type: integer
                                sourceURL:
                                  description: >-
                                    リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL
                                    と異なることがあります。
                                  type: string
                                statusCode:
                                  type: integer
                                title:
                                  type: string
                                totalPages:
                                  description: >-
                                    PDF入力の場合、maxPages
                                    の上限が適用される前の実際の総ページ数。判別できない場合は省略されます。totalPages
                                    が numPages を上回る場合、結果は途中で切り詰められています。
                                  type: integer
                                url:
                                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                                  type: string
                              type: object
                            rawHtml:
                              description: フォーマットで指定された場合の生のHTMLコンテンツ
                              nullable: true
                              type: string
                            screenshot:
                              description: >-
                                フォーマットでスクリーンショットが指定されている場合の、スクリーンショットのURLです。スクリーンショットは24時間後に失効し、それ以降はダウンロードできません。
                              nullable: true
                              type: string
                            title:
                              description: 検索結果のタイトル
                              type: string
                            url:
                              description: 検索結果のURL
                              type: string
                            video:
                              description: >-
                                `formats` に `video`
                                が含まれている場合に返される、抽出された動画ファイルの署名付きURLです。署名付きURLの有効期限は1時間です。
                              nullable: true
                              type: string
                          type: object
                        type: array
                    type: object
                  id:
                    description: 検索ジョブのID
                    type: string
                  success:
                    type: boolean
                  warning:
                    description: 何らかの問題が発生した場合の警告メッセージ
                    nullable: true
                    type: string
                type: object
          description: 成功時のレスポンス
        '408':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Request timed out
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: リクエストのタイムアウト
        '500':
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: UNKNOWN_ERROR
                    type: string
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    ScrapeOptions:
      properties:
        actions:
          description: コンテンツを取得する前にページに対して実行するアクション
          items:
            oneOf:
              - oneOf:
                  - additionalProperties: false
                    properties:
                      milliseconds:
                        description: 待機する時間（ミリ秒）
                        minimum: 1
                        type: integer
                      type:
                        description: 指定したミリ秒数だけ待機します
                        enum:
                          - wait
                        type: string
                    required:
                      - type
                      - milliseconds
                    title: Wait by Duration
                    type: object
                  - additionalProperties: false
                    properties:
                      selector:
                        description: 対象要素のCSSセレクター
                        example: '#my-element'
                        type: string
                      type:
                        description: 特定の要素が表示されるまで待機します
                        enum:
                          - wait
                        type: string
                    required:
                      - type
                      - selector
                    title: Wait for Element
                    type: object
                title: Wait
              - properties:
                  fullPage:
                    default: false
                    description: >-
                      ページ全体のスクリーンショットを取得するか（その場合は viewport.height
                      を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。
                    type: boolean
                  quality:
                    description: スクリーンショットの画質を1〜100で指定します。100が最高画質です。
                    type: integer
                  type:
                    description: >-
                      スクリーンショットを撮影します。リンクはレスポンスの `actions.screenshots`
                      配列内に含まれます。
                    enum:
                      - screenshot
                    type: string
                  viewport:
                    properties:
                      height:
                        description: ビューポートの高さ（ピクセル単位）
                        type: integer
                      width:
                        description: ビューポートの幅（ピクセル単位）
                        type: integer
                    required:
                      - width
                      - height
                    type: object
                required:
                  - type
                title: Screenshot
                type: object
              - properties:
                  all:
                    default: false
                    description: >-
                      セレクターに一致したすべての要素をクリックし、最初の要素だけを対象とするわけではありません。セレクターに一致する要素が存在しない場合でも、エラーは発生しません。
                    type: boolean
                  selector:
                    description: 要素を検索するためのクエリセレクタ
                    example: '#load-more-button'
                    type: string
                  type:
                    description: 要素をクリック
                    enum:
                      - click
                    type: string
                required:
                  - type
                  - selector
                title: Click
                type: object
              - properties:
                  text:
                    description: 入力テキスト
                    example: Hello, world!
                    type: string
                  type:
                    description: >-
                      入力フィールド、テキストエリア、または contenteditable 要素にテキストを書き込みます。注意:
                      テキストを書き込む前に、必ず 'click'
                      アクションでその要素にフォーカスしてください。テキストはキーボード入力をシミュレートするため、1文字ずつタイプされます。
                    enum:
                      - write
                    type: string
                required:
                  - type
                  - text
                title: Write text
                type: object
              - description: >-
                  このページでキーを押してください。キーコードについては
                  https://asawicki.info/nosense/doc/devices/keyboard/key_codes.html
                  を参照してください。
                properties:
                  key:
                    description: 押すキー
                    example: Enter
                    type: string
                  type:
                    description: このページでキーを押してください
                    enum:
                      - press
                    type: string
                required:
                  - type
                  - key
                title: Press a key
                type: object
              - properties:
                  direction:
                    default: down
                    description: スクロール方向
                    enum:
                      - up
                      - down
                    type: string
                  selector:
                    description: スクロールする要素を指定するクエリセレクター
                    example: '#my-element'
                    type: string
                  type:
                    description: ページまたは特定の要素をスクロールする
                    enum:
                      - scroll
                    type: string
                required:
                  - type
                title: Scroll
                type: object
              - properties:
                  type:
                    description: 現在のページのコンテンツを取得し、URL と HTML を返します。
                    enum:
                      - scrape
                    type: string
                required:
                  - type
                title: Scrape
                type: object
              - properties:
                  script:
                    description: 実行する JavaScript コード
                    example: document.querySelector('.button').click();
                    type: string
                  type:
                    description: ページ上でJavaScriptコードを実行する
                    enum:
                      - executeJavascript
                    type: string
                required:
                  - type
                  - script
                title: Execute JavaScript
                type: object
              - properties:
                  format:
                    default: Letter
                    description: 出力されるPDFのページサイズ
                    enum:
                      - A0
                      - A1
                      - A2
                      - A3
                      - A4
                      - A5
                      - A6
                      - Letter
                      - Legal
                      - Tabloid
                      - Ledger
                    type: string
                  landscape:
                    default: false
                    description: PDF を横向きで生成するかどうかを指定します
                    type: boolean
                  scale:
                    default: 1
                    description: 生成されるPDFの拡大縮小倍率
                    type: number
                  type:
                    description: >-
                      現在のページのPDFを生成します。生成されたPDFは、レスポンスの `actions.pdfs`
                      配列内で返されます。
                    enum:
                      - pdf
                    type: string
                required:
                  - type
                title: Generate PDF
                type: object
          type: array
        blockAds:
          default: true
          description: 広告およびCookie同意ポップアップのブロックを有効化します。
          type: boolean
        excludeTags:
          description: 出力結果から除外するタグ。
          items:
            type: string
          type: array
        formats:
          $ref: '#/components/schemas/Formats'
        headers:
          description: リクエストに含めるヘッダー。Cookie や User-Agent などを送信するために使用できます。
          type: object
        includeTags:
          description: 出力に含めるタグ。
          items:
            type: string
          type: array
        location:
          description: >-
            リクエストのロケーション設定です。指定すると、利用可能な場合は適切なプロキシが使用され、対応する言語およびタイムゾーン設定がエミュレートされます。指定されていない場合は、デフォルトで「US」が使用されます。
          properties:
            country:
              default: US
              description: ISO 3166-1 alpha-2 国コード（例：'US'、'AU'、'DE'、'JP'）
              pattern: ^[A-Z]{2}$
              type: string
            languages:
              description: >-
                リクエストに対して優先順で指定する言語とロケール。デフォルトは、指定された location の言語になります。詳しくは
                https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language
                を参照してください。
              items:
                example: en-US
                type: string
              type: array
          type: object
        lockdown:
          default: false
          description: >-
            true の場合、リクエストは Firecrawl のキャッシュからのみ返され、対象 URL
            への外部リクエストは一切行われません。これは、スクレイピングのリクエスト自体が機密情報を漏らす可能性がある、コンプライアンス要件の厳しい環境やエアギャップ環境向けに設計されています。キャッシュミス時には、エラーコード
            SCRAPE_LOCKDOWN_CACHE_MISS を伴う 404 を返します（ミス時に URL
            が記録されることはありません）。Lockdown
            リクエストはゼロデータ保持として扱われます。既存のキャッシュ済みページを引き続き利用対象にできるよう、デフォルトの maxAge は 2
            年に延長されます。課金は、ヒット時が 5 クレジット、キャッシュミス時が 1 クレジットです。
          type: boolean
        maxAge:
          default: 172800000
          description: >-
            ページのキャッシュが、この値（ミリ秒）で指定した有効期間より新しい場合は、そのキャッシュ版を返します。キャッシュがこの値より古い場合は、新たにページのスクレイピングを行います。極めて最新のデータが不要であれば、これを有効にすることでスクレイピングを最大500%高速化できます。デフォルトは2日です。
          type: integer
        minAge:
          description: >-
            設定すると、このリクエストはキャッシュのみを確認し、新しいスクレイプは実行されません。値はミリ秒単位で、キャッシュデータに必要な最小経過時間を指定します。一致するキャッシュデータが存在する場合は、即座に返されます。キャッシュデータが見つからない場合は、エラーコード
            SCRAPE_NO_CACHED_DATA を含む 404 が返されます。経過時間に関係なく、任意のキャッシュデータを許可するには 1
            に設定します。
          type: integer
        mobile:
          default: false
          description: >-
            モバイル端末からのスクレイピングをエミュレートしたい場合は、true
            に設定します。レスポンシブページのテストやモバイル向けスクリーンショットの取得に便利です。
          type: boolean
        onlyCleanContent:
          default: false
          description: >-
            ベータ版。生成された Markdown に対して追加の LLM ベースの処理を実行し、`onlyMainContent`
            では取りこぼす可能性のある残存ボイラープレート（Cookie
            バナー、広告ブロック、ソーシャル共有ウィジェット、パンくずリスト、ニュースレター登録、コメント欄、関連記事リスト）を削除します。見出し、リスト、表、コードブロック、画像参照、インラインリンクは保持されます。`onlyMainContent`
            と組み合わせて使うこともでき（これが最も一般的な構成です）、単独でも使用できます。Markdown
            がクリーニングモデルの出力トークン上限を超える場合は、警告を出してスキップされます（元の Markdown
            は保持されます）。ゼロデータ保持の request ではサポートされていません。
          type: boolean
        onlyMainContent:
          default: true
          description: >-
            ヘッダー、ナビゲーション、フッターなどを除き、ページの主要なコンテンツのみを返します。これは Markdown
            生成前に適用される、HTML レベルの決定論的なフィルターであり、LLM は関与しません。
          type: boolean
        parsers:
          default:
            - pdf
          description: >-
            スクレイピング時のファイルの処理方法を制御します。"pdf" が含まれている場合（デフォルト）、PDF の内容が抽出されて
            markdown 形式に変換され、課金はページ数に基づきます（1ページあたり1クレジット）。空の配列を渡した場合、PDF ファイルは
            base64 エンコード形式で返され、PDF 全体で一律1クレジットが請求されます。
          items:
            oneOf:
              - additionalProperties: false
                properties:
                  maxPages:
                    description: PDF から解析するページの最大数です。1〜10000 の正の整数で指定してください。
                    maximum: 10000
                    minimum: 1
                    type: integer
                  mode:
                    default: auto
                    description: >-
                      PDF
                      の解析モード。"fast"：テキストベースの抽出のみ（埋め込みテキストのみを対象とし、最速）。"auto"（デフォルト）：まず
                      fast で抽出を試し、必要に応じて OCR にフォールバックします。"ocr"：すべてのページで必ず OCR
                      解析を実行します。
                    enum:
                      - fast
                      - auto
                      - ocr
                    type: string
                  type:
                    enum:
                      - pdf
                    type: string
                required:
                  - type
                type: object
          type: array
        profile:
          description: >-
            スクレイピングおよび Interact セッション間で、永続的な browser
            ストレージを有効にします。スクレイピング時にプロファイルを指定すると、Cookie、localStorage、セッションデータが保持されます。同じプロファイル名のセッションでは、browser
            の状態が共有されます。
          properties:
            name:
              description: >-
                プロファイルの名前です。同じ名前でスクレイピングすると、browser
                の状態（Cookie、localStorage、セッション）が共有されます。
              maxLength: 128
              minLength: 1
              type: string
            saveChanges:
              default: true
              description: >-
                true の場合、Interact セッションが停止したときに browser の状態がプロファイルに保存されます。false
                に設定すると、既存のデータを読み込むだけで書き込みは行いません。同時に保存できるセッションは 1 つだけです。
              type: boolean
          required:
            - name
          type: object
        proxy:
          default: auto
          description: |-
            使用するプロキシの種類を指定します。

             - **basic**: ボット対策がない、または基本的なボット対策のみを行っているサイト向けのプロキシです。高速で、多くのケースではこれで十分です。
             - **enhanced**: 高度なボット対策を行っているサイト向けの強化プロキシです。basic よりは遅くなりますが、一部のサイトではより高い成功率が期待できます。1 リクエストあたり最大 5 クレジット消費します。
             - **auto**: basic プロキシでのスクレイピングに失敗した場合、Firecrawl が自動的に enhanced プロキシで再試行します。enhanced での再試行が成功した場合、そのスクレイプには 5 クレジットが課金されます。最初の basic で成功した場合は、通常のコストのみが課金されます。
          enum:
            - basic
            - enhanced
            - auto
          type: string
        redactPII:
          default: false
          description: >-
            返された markdown から個人を特定できる情報をマスキングします。デフォルト設定を使うには `true`
            を渡し、モード、エンティティ、置換スタイルを調整するにはオブジェクトを渡します。
          oneOf:
            - type: boolean
            - $ref: '#/components/schemas/RedactPIIOptions'
        removeBase64Images:
          default: true
          description: >-
            markdown 出力からすべての Base64 画像を削除します。長くなりすぎる可能性があるためです。これは html または
            rawHtml フォーマットには影響しません。画像の代替テキストは出力に残りますが、URL はプレースホルダーに置き換えられます。
          type: boolean
        skipTlsVerification:
          default: true
          description: リクエストを送信する際に TLS 証明書の検証を行わないようにします。
          type: boolean
        storeInCache:
          default: true
          description: >-
            true の場合、そのページは Firecrawl
            のインデックスおよびキャッシュに保存されます。スクレイピング活動でデータ保護上の懸念が生じる可能性がある場合は、これを false
            に設定すると有用です。機密性の高いスクレイピングに関連する一部のパラメータ（例:
            actions、headers）を使用すると、このパラメータは強制的に false になります。
          type: boolean
        threatProtection:
          $ref: '#/components/schemas/ThreatProtectionOverride'
        timeout:
          default: 60000
          description: リクエストのタイムアウト（ミリ秒）。最小値は1000（1秒）、デフォルト値は60000（60秒）、最大値は300000（300秒）です。
          maximum: 300000
          minimum: 1000
          type: integer
        waitFor:
          default: 0
          description: >-
            コンテンツを取得する前に待機する時間をミリ秒単位で指定します。ページが十分に読み込まれるまでの時間を確保するための遅延です。この待機時間は、Firecrawl
            のスマート待機機能に加えて発生します。
          type: integer
      type: object
    ThreatProtectionOverride:
      description: >-
        このリクエスト単位の [脅威保護](https://docs.firecrawl.dev/features/threat-protection)
        オーバーライドです。指定したフィールドは、このリクエストに限り、組織のポリシー内の対応するフィールドを置き換えます。省略したフィールドには組織レベルの値がそのまま適用されます。利用するには、チームで脅威保護が有効になっている必要があります（エンタープライズ機能）。有効でない場合、リクエストは
        403 で拒否されます。組織でリクエストごとのオーバーライドが無効になっている場合、このオブジェクトを含むリクエストはすべて 403
        で拒否されます。チームに対して脅威保護が強制適用されている場合、`mode` に `off` は設定できません。
      properties:
        blacklist:
          description: >-
            常にブロックするドメインです。通常のドメイン（`example.com`）またはワイルドカードグロブ（`*.example.com`）で指定します。プロトコル、パス、ポートは含めないでください。
          items:
            type: string
          maxItems: 1000
          type: array
        blockedTlds:
          description: '無条件でブロックするトップレベルドメインです。先頭のドットを付けない小文字で指定します（例: `zip`）。'
          items:
            type: string
          maxItems: 1000
          type: array
        failurePolicy:
          description: 分類器に到達できない場合の動作です。`closed` はリクエストをブロックし、`open` は許可します。
          enum:
            - open
            - closed
          type: string
        mode:
          description: >-
            このリクエストの URL スキャンモード。`normal` は URL を Google Web Risk
            でチェックします（スキャンした URL 1 件あたり +2 クレジット）。
          enum:
            - 'off'
            - normal
          type: string
        riskScoreThreshold:
          description: 分類器の判定で URL をブロックする正規化リスクスコアのしきい値（0〜100）。値を低くするほど厳格になります。
          example: 75
          maximum: 100
          minimum: 0
          type: integer
        whitelist:
          description: 常に許可するドメインです。通常のドメインまたはワイルドカードグロブで指定します。ほかのすべてのルールより優先されます。
          items:
            type: string
          maxItems: 1000
          type: array
      title: Threat Protection Override
      type: object
    Formats:
      default:
        - markdown
      description: >-
        レスポンスに含める出力フォーマットを指定します。1つ以上のフォーマットを、文字列（例:
        `'markdown'`）または追加オプションを含むオブジェクト（例: `{ type: 'json', schema: {...}
        }`）として指定できます。一部のフォーマットでは、特定のオプションの設定が必須です。例: `['markdown', { type:
        'json', schema: {...} }]`。
      items:
        oneOf:
          - properties:
              type:
                enum:
                  - markdown
                type: string
            required:
              - type
            title: Markdown
            type: object
          - properties:
              type:
                enum:
                  - summary
                type: string
            required:
              - type
            title: Summary
            type: object
          - properties:
              type:
                enum:
                  - html
                type: string
            required:
              - type
            title: HTML
            type: object
          - properties:
              type:
                enum:
                  - rawHtml
                type: string
            required:
              - type
            title: Raw HTML
            type: object
          - properties:
              type:
                enum:
                  - links
                type: string
            required:
              - type
            title: Links
            type: object
          - properties:
              type:
                enum:
                  - images
                type: string
            required:
              - type
            title: Images
            type: object
          - properties:
              fullPage:
                default: false
                description: >-
                  ページ全体のスクリーンショットを取得するか（その場合は viewport.height
                  を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。
                type: boolean
              quality:
                description: スクリーンショットの画質を1〜100で指定します。100が最高画質です。
                type: integer
              type:
                enum:
                  - screenshot
                type: string
              viewport:
                properties:
                  height:
                    description: ビューポートの高さ（ピクセル単位）
                    type: integer
                  width:
                    description: ビューポートの幅（ピクセル単位）
                    type: integer
                required:
                  - width
                  - height
                type: object
            required:
              - type
            title: Screenshot
            type: object
          - properties:
              prompt:
                description: JSON出力用プロンプト
                type: string
              schema:
                description: >-
                  JSON出力用のスキーマ。[JSON Schema](https://json-schema.org/)
                  に準拠している必要があります。
                type: object
              type:
                enum:
                  - json
                type: string
            required:
              - type
            title: JSON
            type: object
          - properties:
              modes:
                description: >-
                  変更追跡に使用するモードです。'git-diff' は詳細な差分を表示し、'json' は抽出した JSON
                  データを比較します。
                items:
                  enum:
                    - git-diff
                    - json
                  type: string
                type: array
              prompt:
                description: json モードで変更追跡を行う際に使用するプロンプトです。指定しない場合はデフォルトのプロンプトが使用されます。
                type: string
              schema:
                description: >-
                  「json」モードでのJSON抽出用スキーマです。抽出および比較するデータの構造を定義します。[JSON
                  Schema](https://json-schema.org/) に準拠する必要があります。
                type: object
              tag:
                default: null
                description: >-
                  変更追跡に使用するタグ。タグを使うことで、変更追跡の履歴を個別の「ブランチ」に分割できます。特定のタグを指定した場合、そのタグに対する変更追跡は、同じタグで実行されたスクレイプとのみ比較されます。指定しない場合は、デフォルトタグ（null）が使用されます。
                nullable: true
                type: string
              type:
                enum:
                  - changeTracking
                type: string
            required:
              - type
            title: Change Tracking
            type: object
          - properties:
              type:
                enum:
                  - branding
                type: string
            required:
              - type
            title: Branding
            type: object
          - properties:
              type:
                enum:
                  - product
                type: string
            required:
              - type
            title: Product
            type: object
          - properties:
              type:
                enum:
                  - menu
                type: string
            required:
              - type
            title: Menu
            type: object
          - description: 対応している動画URL（YouTube など）から音声（MP3）を抽出します。署名付きGCS URLを返します。
            properties:
              type:
                enum:
                  - audio
                type: string
            required:
              - type
            title: Audio
            type: object
          - description: 対応している動画URL（YouTube など）から最高画質の動画を抽出します。署名付きGCS URLを返します。
            properties:
              type:
                enum:
                  - video
                type: string
            required:
              - type
            title: Video
            type: object
          - description: ページについて自然言語で質問します。回答はレスポンスの `answer` フィールドで返されます。
            properties:
              question:
                description: ページについて回答を得るための質問です。最大10,000文字です。
                maxLength: 10000
                type: string
              type:
                enum:
                  - question
                type: string
            required:
              - type
              - question
            title: Question
            type: object
          - description: ページから関連するソーステキストを見つけます。選択されたテキストはレスポンスの `highlights` フィールドで返されます。
            properties:
              query:
                description: ページに対して実行するテキスト選択用のqueryです。最大10,000文字です。
                maxLength: 10000
                type: string
              type:
                enum:
                  - highlights
                type: string
            required:
              - type
              - query
            title: Highlights
            type: object
      type: array
    RedactPIIOptions:
      additionalProperties: false
      description: PII マスキングの調整オプションです。
      properties:
        entities:
          description: マスキング対象をこれらのエンティティカテゴリに限定します。省略した場合は、対応しているすべてのエンティティがマスキングされます。
          items:
            $ref: '#/components/schemas/RedactPIIEntity'
          type: array
        mode:
          default: accurate
          description: >-
            マスキング戦略です。`accurate` はモデルのみを使用し、精度重視で最適化されています。`aggressive`
            は追加のヒューリスティックで再現率を高め、`fast` はモデル呼び出しを行わずにヒューリスティックのみを使用します。
          enum:
            - accurate
            - aggressive
            - fast
          type: string
        replaceStyle:
          default: tag
          description: >-
            `tag` は該当箇所を `<EMAIL>` のようなプレースホルダーに置き換え、`mask` は文字を `*`
            に置き換え、`remove` は該当テキストを削除します。
          enum:
            - tag
            - mask
            - remove
          type: string
      type: object
    RedactPIIEntity:
      description: Firecrawl の個人情報マスキングで対応している公開 PII エンティティカテゴリです。
      enum:
        - PERSON
        - EMAIL
        - PHONE
        - LOCATION
        - FINANCIAL
        - SECRET
      type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````